com.holonplatform.core.datastore.operation.commons

## Interface BulkUpdateOperationConfiguration

- All Superinterfaces:
    DatastoreOperationConfiguration, Expression, ExpressionResolver.ExpressionResolverProvider

      public interface BulkUpdateOperationConfiguration
      extends DatastoreOperationConfiguration

  Bulk `UPDATE` operation configuration.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration

      `DatastoreOperationConfiguration.Builder<B extends DatastoreOperationConfiguration.Builder<B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<QueryFilter>` | `getFilter()` Get the optional operation restrictions, expressed as a `QueryFilter`.
    `Map<Path<?>,TypedExpression<?>>` | `getValues()` Get the operation values, expressed as a `Path` - `TypedExpression` map.

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration

      `getParameters, getTarget, getWriteOption, getWriteOptions, getWriteOptions, hasWriteOption`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider

      `getExpressionResolvers`

- - ### Method Detail

    - #### getFilter

          Optional<QueryFilter> getFilter()

      Get the optional operation restrictions, expressed as a `QueryFilter`.
      Returns:
        Optional operation filter

    - #### getValues

          Map<Path<?>,TypedExpression<?>> getValues()

      Get the operation values, expressed as a `Path` - `TypedExpression` map.
      Returns:
        The path-value expression map, empty if none

Copyright © 2019 The Holon Platform. All rights reserved.